Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# skewtest

scipy.stats.mstats.skewtest(a, axis=0, alternative='two-sided')

  Tests whether the skew is different from the normal distribution.

  Parameters:
    a array_like

      The data to be tested

    axis int or None, optional

      Axis along which statistics are calculated. Default is 0. If None, compute over the whole array a.

    alternative{‘two-sided’, ‘less’, ‘greater’}, optional

      Defines the alternative hypothesis. Default is ‘two-sided’. The following options are available:

      - ‘two-sided’: the skewness of the distribution underlying the sample is different from that of the normal distribution (i.e. 0)

      - ‘less’: the skewness of the distribution underlying the sample is less than that of the normal distribution

      - ‘greater’: the skewness of the distribution underlying the sample is greater than that of the normal distribution

      Added in version 1.7.0.

  Returns:
    statistic array_like

      The computed z-score for this test.

    pvalue array_like

      A p-value for the hypothesis test

  Notes

  For more details about `skewtest`, see `scipy.stats.skewtest`.